# Cards manual provisioning verification

Triggered when a card is manually added to a wallet provider, and the verification methods required to complete the wallet provisioning are returned.
* Event type: `cards#manual-provisioning-verification`
* Profile level subscriptions: Not Supported
* Application level subscriptions: Supported

See the [Webhooks guide](/guides/developer/webhooks) for setup instructions, signature verification, and best practices.

Endpoint: POST cards#manual-provisioning-verification

## Header parameters:

  - `X-Signature-SHA256` (string)
    RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the [Wise public key](/guides/developer/webhooks/event-handling#requests) to ensure the request is authentic and has not been tampered with.

  - `X-Delivery-Id` (string)
    Unique identifier for this webhook delivery attempt.

  - `X-Test-Notification` (boolean)
    Present with the value `true` if this is a test notification sent to verify your callback URL during subscription setup.

## Request fields (application/json):

  - `schema_version` (string)
    Version of the event schema. Determined by the `schema_version` on your [webhook subscription](/api-reference/webhook).
    Enum: "2.0.0"

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event.
    Example: 5281e333-a4d9-4960-aec3-553267a9a8aa

  - `event_type` (string)
    Event type identifier
    Example: cards#manual-provisioning-verification

  - `sent_at` (string)
    Timestamp when the event was sent.
    Example: 2026-03-09T05:52:37Z

  - `data` (object)

  - `data.resource` (object)

  - `data.resource.profile_id` (integer)
    ID of the profile that owns the card.
    Example: 9953556

  - `data.resource.client_id` (string)
    Your `api_client_id`
    Example: tw-test-card-issuance

  - `data.resource.card_token` (string)
    Unique identifier of the card.
    Example: 72393ec3-0707-4bf1-00b7-744f7a380d2c

  - `data.resource.type` (string)
    Resource type (always `card`).
    Example: card

  - `data.payment_token_unique_reference` (string)
    The payment token unique reference associated to the card.
    Example: DNITHE352605523102858206

  - `data.last_four_digits` (string)
    The last four digits for the card Primary Account Number (PAN).
    Example: 8237

  - `data.creation_time` (string)
    The time when the card provisioning request was created.
    Example: 2026-03-09T05:52:37.274962Z

  - `data.wallet_name` (string)
    The wallet provider used to provision the card such as "Google Pay" or "Apple Pay".
    Example: Google Pay

## Response 200 fields (application/json):

  - `status` (string)
    Example: ok

